Tenant/Product
Cette page n'est pas disponible en français. La version anglaise est affichée.
Get products for user
Fetches all existing products, with optional parameters for pagination
Authorization
BearerAuthObject AuthorizationBearer <token>
Machine tokens only: a personal API token or a product robot token (POST /api/v2/products/{uid}/robot-tokens). A session JWT here is 401 — the web app uses the b2t_access cookie.
In: header
Query Parameters
limit?integer
Maximum number of products to return (pagination limit)
Default
30offset?integer
Offset to start pagination
Default
0permission?string
Permission name
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/products?limit=30&offset=0&permission=Creator"{ "products": [ { "id": "092a4feb-579c-40f9-aea6-3fc7c5438cf6", "name": "b2binpay", "iconName": "b2binpay-icon", "platforms": [ "web" ], "languages": [ 1 ], "languageId": 1, "storyCount": 33, "tenantCount": 20, "actualTenantCount": 17, "availablePlatforms": [ "web" ] } ], "totals": { "tenantCount": 40, "actualTenantCount": 30 }, "pagination": { "maxCount": 20 }}{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}" }}